com.avaya.ccs.api.enums

## Enum CodeType

- java.lang.Object
- - java.lang.Enum<CodeType>
  - - com.avaya.ccs.api.enums.CodeType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CodeType>

      public enum CodeType
      extends java.lang.Enum<CodeType>

  The `CodeType` enum represents the posssible types of `ContactCenterCodeI` objects.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Activity` Identifies an Activity code
    `ACW` Identifies an After Call Work code
    `Disposition` Identifies a Disposition code (also known as Completion code)
    `NRRC` Identifies a Not Ready Reason code
    `Unknown`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CodeType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CodeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NRRC

          public static final CodeType NRRC

      Identifies a Not Ready Reason code

    - #### Activity

          public static final CodeType Activity

      Identifies an Activity code

    - #### ACW

          public static final CodeType ACW

      Identifies an After Call Work code

    - #### Disposition

          public static final CodeType Disposition

      Identifies a Disposition code (also known as Completion code)

    - #### Unknown

          public static final CodeType Unknown

  - ### Method Detail

    - #### values

          public static CodeType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CodeType c : CodeType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CodeType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null